%define _disable_ld_as_needed 1
%define _disable_ld_no_undefined 1

%define major	0
%define lib_name %mklibname %{name} %{major}

Summary:	High-performance CORBA Object Request Broker
Name:		ORBit
Version:	0.5.17
Release:	22
Group:		System/Libraries
License:	LGPLv2+ and GPLv2+
Url:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/ORBit//ORBit-%{version}.tar.bz2
# (fc) 0.5.17-2mdk don't add -I/usr/include to LIBIDL_INCLUDEDIR
Patch0:		ORBit-0.5.17-fixinclude.patch
# (fc) 0.5.17-9mdk fix warnings in m4 macros
Patch1:		ORBit-underquoted.patch
# (fc) 0.5.17-9mdk fix build with autoconf 2.5x and libtool 1.5
Patch2:		ORBit-0.5.17-ac25.patch
Patch3:		ORBit-0.5.17-format-strings.patch
Patch4:		ORBit-0.5.17-fix-makefile.patch
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	pkgconfig(glib)
BuildRequires:	tcp_wrappers-devel
BuildRequires:	libtool
BuildRequires:	automake1.4
BuildRequires:	autoconf2.1

%description
ORBit is a high-performance CORBA ORB (object request
broker). It allows programs to send requests and 
receive replies from other programs, regardless of
the locations of the two programs.

You will need to install this package and the
related header files, libraries and utilities
if you want to write programs that use CORBA
technology.

%package -n %{lib_name}
Summary:	Libraries for high-performance CORBA Object Request Broker
Group:		System/Libraries

%description -n %{lib_name}
ORBit is a high-performance CORBA ORB (object request
broker). It allows programs to send requests and 
receive replies from other programs, regardless of
the locations of the two programs.

This package contains libraries used by ORBit.

%package -n %{lib_name}-devel
Summary:	Development libraries, header files and utilities for ORBit
Group:		Development/GNOME and GTK+
Requires:	glib-devel
# (gb) starting of 0.5.17 version, I can't see any change requiring a
# specific dep on release, aka rpmlint fix possible
Requires:	%{name} = %{version}-%{release}
# indent is called by orbit-idl
Requires:	indent
Requires:	tcp_wrappers-devel
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
ORBit is a high-performance CORBA ORB (object request
broker) with support for the C language. It allows
programs to send requests and receive replies from
other programs, regardless of the locations of the
two programs.

This package contains the header files, libraries and 
utilities necessary to write programs that use CORBA
technology.

%prep
%setup -q
%patch0 -p1 -b .fixinclude
%patch1 -p1 -b .warnings
#%patch2 -p1 -b .ac25
%patch3 -p1
%patch4 -p1
# needed by patches 0 & 2 and fix build
# [gb] also update aclocal.m4 with new libtool.m4
rm -f configure
#aclocal-1.4
#automake-1.4
autoconf-2.13
cd libIDL
rm -f configure
libtoolize --force
#aclocal-1.4
#automake-1.4
autoconf-2.13
cd ..

# cputoolize to get updated config.{sub,guess}
%{?__cputoolize: %{__cputoolize} -c popt}
%{?__cputoolize: %{__cputoolize} -c libIDL}

%build
%configure2_5x

#don't use macro, parallel compilation is broken
make LIBTOOL=libtool

# 1 test fails on ppc
%ifnarch ppc
make check
%endif

%install
%makeinstall_std  LIBTOOL=libtool

%multiarch_binaries %{buildroot}%{_bindir}/orbit-config

%multiarch_binaries %{buildroot}%{_bindir}/libIDL-config

mkdir -p %{buildroot}%{_sysconfdir}/CORBA/servers

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/ior-decode
%{_bindir}/name-client
%{_bindir}/*-server
%{_bindir}/orbit-ird
%{_datadir}/idl
%{_sysconfdir}/CORBA

%files -n %{lib_name}
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%doc docs/*
%{_bindir}/libIDL-config
%multiarch %{_bindir}/multiarch-*/libIDL-config

%{_bindir}/orbit-config
%multiarch %{multiarch_bindir}/orbit-config

%{_bindir}/orbit-idl
%{_includedir}/*
%{_infodir}/libIDL.info*
%{_libdir}/*.sh
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.5.17-22
+ Revision: 9a1729f
- MassBuild#440: Increase release tag


